
import express from 'express';
import http from 'http';
import MongoClient from 'mongodb';



(async function () {
    try {
        const connstring = 'mongodb://database/testproject',
            db = await MongoClient.connect(connstring);
        console.log('db', db);
        await db.close();
        console.log('closed');
    }
    catch(e) {
        console.error('error', e, e.stack);
    }
}());



const port = process.env.port ? parseInt(process.env.port) : 9494,
    app = express(),
    httpserver = http.createServer(app);

httpserver.listen(port, function listening() {
    console.log('$foldername service now listening on port', port);
});

app.get('/', function serve(req, res) {
    res.send('$foldername dockerized service');
});






