#!/bin/bash


script_folder=`dirname $0`
foldername="$1"
maker_folder=`dirname $script_folder`

echo "maker folder $maker_folder"
echo "folder name $foldername"
echo "script_folder $script_folder"

cd $foldername

echo "STEP 1: create the server"
$maker_folder/maker.sh service $foldername-server
mv $foldername-server server
rm -Rf server/.git

echo "STEP 2: create the client (don't forget \"proxy\" in the client's package.json!)"
$maker_folder/maker.sh front $foldername-client
mv $foldername-client client
rm -Rf client/.git
sed -i 's_"private": true,_"private": true,\n  "proxy": "http://localhost:8728",_' client/package.json

echo "ALL DONE!"


