
import express from 'express';
import socketio from 'socket.io';
import http from 'http';

const port = process.env.port || 2424,
    app = express(),
    server = http.createServer(app),
    ioserv = socketio.listen(server);

server.listen(port, function listening() {
    console.log('now listening on', port);
});


app.get('/', function inc(req, res) {
    res.send('working');
});


ioserv.on('connection', function (client) {
    client.on('test', function testMirror(msg) {
        client.emit('test', msg);
    });
});


