
import _styles from './style/index.scss';
import React from 'react';
import ReactDOM from 'react-dom';
import { Provider } from 'react-redux';
import { createStore, applyMiddleware } from 'redux';
//import thunkMiddleware from 'redux-thunk';

import reducers from './reducers/index.js';
import App from './components/App.js';

/*
ex:
createStore(reducer, applyMiddleware(thunkMiddleware))
*/

const store = createStore(reducers, /*initialState,*/ window.__REDUX_DEVTOOLS_EXTENSION__ && window.__REDUX_DEVTOOLS_EXTENSION__());

ReactDOM.render(
    <Provider store={store}>
        <App />
    </Provider>,
    document.getElementById('container')
);



